package com.ejie.ab79.model;

import java.util.Date;

import com.ejie.ab79.model.plantillas.Plantillas;
import com.ejie.ab79.model.plantillas.TiposPlantilla;
import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * DocumentosSubidos  
 * 
 *  
 */

public class DocumentosSubidos implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idDocumentoSubido;
	private TiposPlantilla tipoPlantilla;
	private Integer idActuacion;
	private String nombreDocumento;
	private String oidPid;
	private Date fechaAportadoPid;
	private String oidDokusi;
	private Integer aportadoExpediente;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;
	private Plantillas plantilla;

	// Checkbox no permitir subir al expediente
	private boolean noSubirExpediente;

	// Modal de la tablet
	private Integer idInspeccion;
	private Integer origenDocumento;
	private String oidDocumento;
	private Integer idRelActDoc;
	private Integer enviadoProSan;

	/**
	 * Method 'DocumentosSubidos'.
	 */
	public DocumentosSubidos() {
	}

	/**
	 * Method 'DocumentosSubidos'.
	 * 
	 * @param idDocumentoSubido
	 *            Integer
	 */
	public DocumentosSubidos(Integer idDocumentoSubido) {
		this.idDocumentoSubido = idDocumentoSubido;
	}

	/**
	 * Method 'DocumentosSubidos'.
	 * 
	 * @param idDocumentoSubido
	 *            Integer
	 * @param idTipoPlantilla
	 *            Integer
	 * @param nombreDocumento
	 *            String
	 * @param oidPid
	 *            String
	 * @param fechaAportadoPid
	 *            Date
	 * @param oidDokusi
	 *            String
	 * @param aportadoExpediente
	 *            Integer
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 */
	public DocumentosSubidos(Integer idDocumentoSubido, TiposPlantilla tipoPlantilla, String nombreDocumento,
			String oidPid, Date fechaAportadoPid, String oidDokusi, Integer aportadoExpediente, Date fechaRegistro,
			String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion) {

		this.idDocumentoSubido = idDocumentoSubido;
		this.tipoPlantilla = tipoPlantilla;
		this.nombreDocumento = nombreDocumento;
		this.oidPid = oidPid;
		this.fechaAportadoPid = fechaAportadoPid;
		this.oidDokusi = oidDokusi;
		this.aportadoExpediente = aportadoExpediente;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getIdDocumentoSubido'.
	 *
	 * @return Integer
	 */

	public Integer getIdDocumentoSubido() {
		return this.idDocumentoSubido;
	}

	/**
	 * Method 'setIdDocumentoSubido'.
	 *
	 * @param idDocumentoSubido
	 *            Integer
	 * @return
	 */

	public void setIdDocumentoSubido(Integer idDocumentoSubido) {
		this.idDocumentoSubido = idDocumentoSubido;
	}

	public TiposPlantilla getTipoPlantilla() {
		return tipoPlantilla;
	}

	public void setTipoPlantilla(TiposPlantilla tipoPlantilla) {
		this.tipoPlantilla = tipoPlantilla;
	}

	public Integer getIdActuacion() {
		return idActuacion;
	}

	public void setIdActuacion(Integer idActuacion) {
		this.idActuacion = idActuacion;
	}

	/**
	 * Method 'getNombreDocumento'.
	 *
	 * @return String
	 */

	public String getNombreDocumento() {
		return this.nombreDocumento;
	}

	/**
	 * Method 'setNombreDocumento'.
	 *
	 * @param nombreDocumento
	 *            String
	 * @return
	 */

	public void setNombreDocumento(String nombreDocumento) {
		this.nombreDocumento = nombreDocumento;
	}

	/**
	 * Method 'getOidPid'.
	 *
	 * @return String
	 */

	public String getOidPid() {
		return this.oidPid;
	}

	/**
	 * Method 'setOidPid'.
	 *
	 * @param oidPid
	 *            String
	 * @return
	 */

	public void setOidPid(String oidPid) {
		this.oidPid = oidPid;
	}

	/**
	 * Method 'getFechaAportadoPid'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaAportadoPid() {
		return this.fechaAportadoPid;
	}

	/**
	 * Method 'setFechaAportadoPid'.
	 *
	 * @param fechaAportadoPid
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaAportadoPid(Date fechaAportadoPid) {
		this.fechaAportadoPid = fechaAportadoPid;
	}

	/**
	 * Method 'getOidDokusi'.
	 *
	 * @return String
	 */

	public String getOidDokusi() {
		return this.oidDokusi;
	}

	/**
	 * Method 'setOidDokusi'.
	 *
	 * @param oidDokusi
	 *            String
	 * @return
	 */

	public void setOidDokusi(String oidDokusi) {
		this.oidDokusi = oidDokusi;
	}

	/**
	 * Method 'getAportadoExpediente'.
	 *
	 * @return Integer
	 */

	public Integer getAportadoExpediente() {
		return this.aportadoExpediente;
	}

	/**
	 * Method 'setAportadoExpediente'.
	 *
	 * @param aportadoExpediente
	 *            Integer
	 * @return
	 */

	public void setAportadoExpediente(Integer aportadoExpediente) {
		this.aportadoExpediente = aportadoExpediente;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'isNoSubirExpediente'
	 * 
	 * @return boolean
	 */
	public boolean isNoSubirExpediente() {
		return this.noSubirExpediente;
	}

	/**
	 * Method 'setNoSubirExpediente'
	 * 
	 * @param noSubirExpediente
	 *            boolean
	 * @return
	 */
	public void setNoSubirExpediente(boolean noSubirExpediente) {
		this.noSubirExpediente = noSubirExpediente;
	}

	public Integer getIdInspeccion() {
		return idInspeccion;
	}

	public void setIdInspeccion(Integer idInspeccion) {
		this.idInspeccion = idInspeccion;
	}

	public Integer getOrigenDocumento() {
		return origenDocumento;
	}

	public void setOrigenDocumento(Integer origenDocumento) {
		this.origenDocumento = origenDocumento;
	}

	public String getOidDocumento() {
		return oidDocumento;
	}

	public void setOidDocumento(String oidDocumento) {
		this.oidDocumento = oidDocumento;
	}

	public Integer getIdRelActDoc() {
		return idRelActDoc;
	}

	public void setIdRelActDoc(Integer idRelActDoc) {
		this.idRelActDoc = idRelActDoc;
	}

	public Integer getEnviadoProSan() {
		return enviadoProSan;
	}

	public void setEnviadoProSan(Integer enviadoProSan) {
		this.enviadoProSan = enviadoProSan;
	}

	public Plantillas getPlantilla() {
		return plantilla;
	}

	public void setPlantilla(Plantillas plantilla) {
		this.plantilla = plantilla;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idDocumentoSubido: ").append(this.idDocumentoSubido).append(" ]");
		result.append(", [ tipoPlantilla: ").append(this.tipoPlantilla).append(" ]");
		result.append(", [ nombreDocumento: ").append(this.nombreDocumento).append(" ]");
		result.append(", [ oidPid: ").append(this.oidPid).append(" ]");
		result.append(", [ fechaAportadoPid: ").append(this.fechaAportadoPid).append(" ]");
		result.append(", [ oidDokusi: ").append(this.oidDokusi).append(" ]");
		result.append(", [ aportadoExpediente: ").append(this.aportadoExpediente).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

}
